import { GdsElement } from '../../../gds-element';
/**
 * @element gds-filter-chip
 *
 * * @slot Content of the Filter chip
 */
export declare class GdsFilterChip<ValueT = any> extends GdsElement {
    static styles: import("lit").CSSResult[];
    /**
     * Whether the chip is selected
     */
    selected: boolean;
    /**
     * The value of the chip
     */
    value?: ValueT;
    /**
     * The size of the chip
     * @default 'large'
     */
    size: 'small' | 'large';
    connectedCallback(): void;
    render(): any;
}
